<xml></xml>

Collapse AllExpand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
Cursor..::.MoveMultipleKey Method (KeyValuePair<(Of <(DatabaseEntry, DatabaseEntry>)>), Boolean)
Cursor Class See Also Send Feedback

Move the cursor to the specified key/data pair of the database, and store that key/data pair and as many ensuing key/data pairs that can fit in a buffer the size of one database page in CurrentMultipleKey. The cursor is positioned to a key/data pair if both the key and data match the values provided on the key and data parameters.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#

    public bool MoveMultipleKey(
    	KeyValuePair<DatabaseEntry, DatabaseEntry> pair,
    	bool exact
    )

Visual Basic (Declaration)

    Public Function MoveMultipleKey ( _
    	pair As KeyValuePair(Of DatabaseEntry, DatabaseEntry), _
    	exact As Boolean _
    ) As Boolean

Visual C++

    public:
    bool MoveMultipleKey(
    	KeyValuePair<DatabaseEntry^, DatabaseEntry^> pair,
    	bool exact
    )

#### Parameters

pair
  Type: System.Collections.Generic..::.KeyValuePair <(Of <( DatabaseEntry, DatabaseEntry >)>)
  The key/data pair at which to position the cursor.

exact
  Type: System..::.Boolean
  If false and in a database configured for sorted duplicates, position the cursor at the smallest data value which is greater than or equal to the value provided by pair.Value (as determined by the comparison function). Otherwise, require the given key and data to match the key and data in the database exactly.

#### Return Value

True if the cursor was positioned successfully, false otherwise.

# See Also

Cursor Class
MoveMultipleKey Overload
BerkeleyDB Namespace